Documentation Index

Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt

Use this file to discover all available pages before exploring further.

Assign users to a license

Prev Next
Post
/v1/teams/{team_id}/licenses/{license_id}/users

Replace the set of users assigned to a license. Users not included in the request are unassigned.

Security
HTTP
Type bearer

API key authentication. Create API keys in the Supermetrics Hub and send them in the Authorization header: Authorization: Bearer <your-api-key>

Path parameters
team_id
integer (int64) Required

The ID of the team

Minimum1
Maximum9223372036854776000
Example936506
license_id
integer (int64) Required

The ID of the license

Minimum1
Maximum9223372036854776000
Example1001
Body parameters

User IDs to assign to the license

{
  "user_ids": [
    12345,
    67890
  ]
}
object
user_ids
Array of integer Required

List of user IDs to assign to the license

Max items100
Example[ 12345, 67890 ]
integer (int64)
Minimum1
Maximum9223372036854776000
Responses
200

Users assigned to license successfully

Expand All
object

Response envelope containing assignment result

meta
object

Response metadata

Example{}
request_id
string

Unique ID of the request

Max length36
Pattern^[A-Za-z0-9_-]+
ExampleRfNUgKPReZtgmzkqAFe4ArjuCQXQuaRr
data
object (AssignResultData)

Result of a user assignment operation

result
boolean

Whether the assignment was successful

Exampletrue
400

Bad request — invalid or missing parameters

object
message
string

Bad request error

Max length255
Pattern^.+$
code
string

BAD_REQUEST

Valid values[ "BAD_REQUEST" ]
401

Unauthorized — token is missing or invalid

object
message
string

Unauthorized access

Max length255
Pattern^.+$
code
string

UNAUTHORIZED

Valid values[ "UNAUTHORIZED" ]
403

Forbidden — insufficient permissions

object
message
string

Permission error

Max length255
Pattern^.+$
code
string

PERMISSION_ERROR

Valid values[ "PERMISSION_ERROR" ]
404

License not found

object
message
string

Not found

Max length255
Pattern^.+$
code
string

NOT_FOUND

Valid values[ "NOT_FOUND" ]
429

Too many requests - rate limit exceeded.

object
message
string

Too many requests

Max length255
Pattern^.+$
code
string

TOO_MANY_REQUESTS

Valid values[ "TOO_MANY_REQUESTS" ]
500

Internal server error

object
message
string

Internal server error

Max length255
Pattern^.+$
code
string

INTERNAL_SERVER_ERROR

Valid values[ "INTERNAL_SERVER_ERROR" ]